Bug 803073

Summary: Missing Requires: httpd-mmn
Product: [Fedora] Fedora Reporter: Joe Orton <jorton>
Component: mod_pubcookieAssignee: Gabriel Somlo <somlo>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 17CC: somlo
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: mod_pubcookie-3.3.4a-7.fc17 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-03-31 03:27:47 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 803056    

Description Joe Orton 2012-03-13 21:19:52 UTC
Description:
The package mod_pubcookie contains the httpd module:

   /usr/lib64/httpd/modules/mod_pubcookie.so

but does not have an appropriate "Requires:" for httpd-mmn.  Such a
dependency is necessary to ensure the module is only used with a
compatible version of httpd; a module built against httpd 2.2 will not
work with httpd 2.4.

Please add the following to the top of the spec file as a single line:

%{!?_httpd_mmn: %{expand: %%global _httpd_mmn %%(cat %{_includedir}/httpd/.mmn || echo missing-httpd-devel)}}

Then add to the the mod_pubcookie (sub-)package the following Requires
line:

Requires: httpd-mmn = %{_httpd_mmn}

A module package does not need to require httpd itself.  The above
change should be merged across all branches of Fedora/EPEL.

Version-Release:
mod_pubcookie-3.3.4a-6.fc17.src.rpm

Steps to reproduce:
1. rpm -q --requires mod_pubcookie | grep httpd-mmn

Expected results:
e.g. httpd-mmn = 20051115-x86-64

Comment 1 Fedora Update System 2012-03-19 18:48:39 UTC
mod_pubcookie-3.3.4a-7.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mod_pubcookie-3.3.4a-7.fc17

Comment 2 Fedora Update System 2012-03-19 18:49:22 UTC
mod_pubcookie-3.3.4a-7.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mod_pubcookie-3.3.4a-7.fc16

Comment 3 Fedora Update System 2012-03-19 18:49:48 UTC
mod_pubcookie-3.3.4a-3.el6.1 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mod_pubcookie-3.3.4a-3.el6.1

Comment 4 Fedora Update System 2012-03-20 06:01:40 UTC
Package mod_pubcookie-3.3.4a-7.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mod_pubcookie-3.3.4a-7.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-4167/mod_pubcookie-3.3.4a-7.fc17
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2012-03-31 03:27:47 UTC
mod_pubcookie-3.3.4a-7.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2012-04-05 03:04:56 UTC
mod_pubcookie-3.3.4a-3.el6.1 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2012-04-12 03:35:20 UTC
mod_pubcookie-3.3.4a-7.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.